MWAWSpreadsheetEncoder Class Reference documentation

Public Member Functions | Protected Attributes | List of all members
MWAWSpreadsheetEncoder Class Referencefinal

main class used to define store librevenge::RVNGSpreadsheetInterface lists of command in a librevenge::RVNGBinaryData. More...

`#include <MWAWSpreadsheetEncoder.hxx>`

Inheritance diagram for MWAWSpreadsheetEncoder:

## Public Member Functions
| MWAWSpreadsheetEncoder ()
| constructor
| ~MWAWSpreadsheetEncoder () final
| destructor
bool | getBinaryResult (MWAWEmbeddedObject &object)
| return the final spreadsheet
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) final
void | startDocument (const librevenge::RVNGPropertyList &propList) final
void | endDocument () final
void | definePageStyle (const librevenge::RVNGPropertyList &propList) final
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) final
void | openPageSpan (const librevenge::RVNGPropertyList &propList) final
void | closePageSpan () final
void | openHeader (const librevenge::RVNGPropertyList &propList) final
void | closeHeader () final
void | openFooter (const librevenge::RVNGPropertyList &propList) final
void | closeFooter () final
void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList) final
void | openSheet (const librevenge::RVNGPropertyList &propList) final
void | closeSheet () final
void | openSheetRow (const librevenge::RVNGPropertyList &propList) final
void | closeSheetRow () final
void | openSheetCell (const librevenge::RVNGPropertyList &propList) final
void | closeSheetCell () final
void | defineChartStyle (const librevenge::RVNGPropertyList &propList) final
void | openChart (const librevenge::RVNGPropertyList &propList) final
void | closeChart () final
void | openChartTextObject (const librevenge::RVNGPropertyList &propList) final
void | closeChartTextObject () final
void | openChartPlotArea (const librevenge::RVNGPropertyList &propList) final
void | closeChartPlotArea () final
void | insertChartAxis (const librevenge::RVNGPropertyList &axis) final
void | openChartSerie (const librevenge::RVNGPropertyList &series) final
void | closeChartSerie () final
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) final
void | openParagraph (const librevenge::RVNGPropertyList &propList) final
void | closeParagraph () final
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) final
void | openSpan (const librevenge::RVNGPropertyList &propList) final
void | closeSpan () final
void | openLink (const librevenge::RVNGPropertyList &propList) final
void | closeLink () final
void | defineSectionStyle (const librevenge::RVNGPropertyList &propList) final
void | openSection (const librevenge::RVNGPropertyList &propList) final
void | closeSection () final
void | insertTab () final
void | insertSpace () final
void | insertText (const librevenge::RVNGString &text) final
void | insertLineBreak () final
void | insertField (const librevenge::RVNGPropertyList &propList) final
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) final
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) final
void | closeOrderedListLevel () final
void | closeUnorderedListLevel () final
void | openListElement (const librevenge::RVNGPropertyList &propList) final
void | closeListElement () final
void | openFootnote (const librevenge::RVNGPropertyList &propList) final
void | closeFootnote () final
void | openComment (const librevenge::RVNGPropertyList &propList) final
void | closeComment () final
void | openFrame (const librevenge::RVNGPropertyList &propList) final
void | closeFrame () final
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList) final
void | openTextBox (const librevenge::RVNGPropertyList &propList) final
void | closeTextBox () final
void | openTable (const librevenge::RVNGPropertyList &propList) final
void | closeTable () final
void | openTableRow (const librevenge::RVNGPropertyList &propList) final
void | closeTableRow () final
void | openTableCell (const librevenge::RVNGPropertyList &propList) final
void | closeTableCell () final
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) final
void | openGroup (const librevenge::RVNGPropertyList &propList) final
void | closeGroup () final
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList) final
void | drawRectangle (const librevenge::RVNGPropertyList &propList) final
void | drawEllipse (const librevenge::RVNGPropertyList &propList) final
void | drawPolygon (const librevenge::RVNGPropertyList &propList) final
void | drawPolyline (const librevenge::RVNGPropertyList &propList) final
void | drawPath (const librevenge::RVNGPropertyList &propList) final
void | drawConnector (const librevenge::RVNGPropertyList &propList) final
void | insertEquation (const librevenge::RVNGPropertyList &propList) final

## Protected Attributes
std::shared_ptr< MWAWSpreadsheetEncoderInternal::State > | m_state
| the actual state

## Detailed Description

main class used to define store librevenge::RVNGSpreadsheetInterface lists of command in a librevenge::RVNGBinaryData.

See also
  MWAWSpreadsheetDecoder can be used to decode back the spreadsheet...

      \note as this class implements the functions librevenge::RVNGSpreadsheetInterface,

  the documentation is not duplicated..

## Constructor & Destructor Documentation

## ◆ MWAWSpreadsheetEncoder()

MWAWSpreadsheetEncoder::MWAWSpreadsheetEncoder | ( |  | ) |

constructor

## ◆ ~MWAWSpreadsheetEncoder()

MWAWSpreadsheetEncoder::~MWAWSpreadsheetEncoder | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ closeChart()

void MWAWSpreadsheetEncoder::closeChart | ( |  | ) |
| final

## ◆ closeChartPlotArea()

void MWAWSpreadsheetEncoder::closeChartPlotArea | ( |  | ) |
| final

## ◆ closeChartSerie()

void MWAWSpreadsheetEncoder::closeChartSerie | ( |  | ) |
| final

## ◆ closeChartTextObject()

void MWAWSpreadsheetEncoder::closeChartTextObject | ( |  | ) |
| final

## ◆ closeComment()

void MWAWSpreadsheetEncoder::closeComment | ( |  | ) |
| final

## ◆ closeFooter()

void MWAWSpreadsheetEncoder::closeFooter | ( |  | ) |
| final

## ◆ closeFootnote()

void MWAWSpreadsheetEncoder::closeFootnote | ( |  | ) |
| final

## ◆ closeFrame()

void MWAWSpreadsheetEncoder::closeFrame | ( |  | ) |
| final

## ◆ closeGroup()

void MWAWSpreadsheetEncoder::closeGroup | ( |  | ) |
| final

## ◆ closeHeader()

void MWAWSpreadsheetEncoder::closeHeader | ( |  | ) |
| final

## ◆ closeLink()

void MWAWSpreadsheetEncoder::closeLink | ( |  | ) |
| final

## ◆ closeListElement()

void MWAWSpreadsheetEncoder::closeListElement | ( |  | ) |
| final

## ◆ closeOrderedListLevel()

void MWAWSpreadsheetEncoder::closeOrderedListLevel | ( |  | ) |
| final

## ◆ closePageSpan()

void MWAWSpreadsheetEncoder::closePageSpan | ( |  | ) |
| final

## ◆ closeParagraph()

void MWAWSpreadsheetEncoder::closeParagraph | ( |  | ) |
| final

## ◆ closeSection()

void MWAWSpreadsheetEncoder::closeSection | ( |  | ) |
| final

## ◆ closeSheet()

void MWAWSpreadsheetEncoder::closeSheet | ( |  | ) |
| final

## ◆ closeSheetCell()

void MWAWSpreadsheetEncoder::closeSheetCell | ( |  | ) |
| final

## ◆ closeSheetRow()

void MWAWSpreadsheetEncoder::closeSheetRow | ( |  | ) |
| final

## ◆ closeSpan()

void MWAWSpreadsheetEncoder::closeSpan | ( |  | ) |
| final

## ◆ closeTable()

void MWAWSpreadsheetEncoder::closeTable | ( |  | ) |
| final

## ◆ closeTableCell()

void MWAWSpreadsheetEncoder::closeTableCell | ( |  | ) |
| final

## ◆ closeTableRow()

void MWAWSpreadsheetEncoder::closeTableRow | ( |  | ) |
| final

## ◆ closeTextBox()

void MWAWSpreadsheetEncoder::closeTextBox | ( |  | ) |
| final

## ◆ closeUnorderedListLevel()

void MWAWSpreadsheetEncoder::closeUnorderedListLevel | ( |  | ) |
| final

## ◆ defineCharacterStyle()

void MWAWSpreadsheetEncoder::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineChartStyle()

void MWAWSpreadsheetEncoder::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineEmbeddedFont()

void MWAWSpreadsheetEncoder::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineGraphicStyle()

void MWAWSpreadsheetEncoder::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ definePageStyle()

void MWAWSpreadsheetEncoder::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineParagraphStyle()

void MWAWSpreadsheetEncoder::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineSectionStyle()

void MWAWSpreadsheetEncoder::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ defineSheetNumberingStyle()

void MWAWSpreadsheetEncoder::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawConnector()

void MWAWSpreadsheetEncoder::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawEllipse()

void MWAWSpreadsheetEncoder::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawPath()

void MWAWSpreadsheetEncoder::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawPolygon()

void MWAWSpreadsheetEncoder::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawPolyline()

void MWAWSpreadsheetEncoder::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ drawRectangle()

void MWAWSpreadsheetEncoder::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ endDocument()

void MWAWSpreadsheetEncoder::endDocument | ( |  | ) |
| final

## ◆ getBinaryResult()

bool MWAWSpreadsheetEncoder::getBinaryResult | ( | MWAWEmbeddedObject & | object | ) |

return the final spreadsheet

Referenced by RagTimeSpreadsheet::send(), RagTime5Spreadsheet::send(), RagTime5Text::send(), and ClarisWksGraph::sendGroupChild().

## ◆ insertBinaryObject()

void MWAWSpreadsheetEncoder::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ insertChartAxis()

void MWAWSpreadsheetEncoder::insertChartAxis | ( | const librevenge::RVNGPropertyList & | axis | ) |
| final

## ◆ insertCoveredTableCell()

void MWAWSpreadsheetEncoder::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ insertEquation()

void MWAWSpreadsheetEncoder::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ insertField()

void MWAWSpreadsheetEncoder::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ insertLineBreak()

void MWAWSpreadsheetEncoder::insertLineBreak | ( |  | ) |
| final

## ◆ insertSpace()

void MWAWSpreadsheetEncoder::insertSpace | ( |  | ) |
| final

## ◆ insertTab()

void MWAWSpreadsheetEncoder::insertTab | ( |  | ) |
| final

## ◆ insertText()

void MWAWSpreadsheetEncoder::insertText | ( | const librevenge::RVNGString & | text | ) |
| final

## ◆ openChart()

void MWAWSpreadsheetEncoder::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openChartPlotArea()

void MWAWSpreadsheetEncoder::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openChartSerie()

void MWAWSpreadsheetEncoder::openChartSerie | ( | const librevenge::RVNGPropertyList & | series | ) |
| final

## ◆ openChartTextObject()

void MWAWSpreadsheetEncoder::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openComment()

void MWAWSpreadsheetEncoder::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openFooter()

void MWAWSpreadsheetEncoder::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openFootnote()

void MWAWSpreadsheetEncoder::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openFrame()

void MWAWSpreadsheetEncoder::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openGroup()

void MWAWSpreadsheetEncoder::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openHeader()

void MWAWSpreadsheetEncoder::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openLink()

void MWAWSpreadsheetEncoder::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openListElement()

void MWAWSpreadsheetEncoder::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openOrderedListLevel()

void MWAWSpreadsheetEncoder::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openPageSpan()

void MWAWSpreadsheetEncoder::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openParagraph()

void MWAWSpreadsheetEncoder::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openSection()

void MWAWSpreadsheetEncoder::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openSheet()

void MWAWSpreadsheetEncoder::openSheet | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openSheetCell()

void MWAWSpreadsheetEncoder::openSheetCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openSheetRow()

void MWAWSpreadsheetEncoder::openSheetRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openSpan()

void MWAWSpreadsheetEncoder::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openTable()

void MWAWSpreadsheetEncoder::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openTableCell()

void MWAWSpreadsheetEncoder::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openTableRow()

void MWAWSpreadsheetEncoder::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openTextBox()

void MWAWSpreadsheetEncoder::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ openUnorderedListLevel()

void MWAWSpreadsheetEncoder::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ setDocumentMetaData()

void MWAWSpreadsheetEncoder::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## ◆ startDocument()

void MWAWSpreadsheetEncoder::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| final

## Member Data Documentation

## ◆ m_state

std::shared_ptr<MWAWSpreadsheetEncoderInternal::State> MWAWSpreadsheetEncoder::m_state
| protected

the actual state

Referenced by closeChart(), closeChartPlotArea(), closeChartSerie(), closeChartTextObject(), closeComment(), closeFooter(), closeFootnote(), closeFrame(), closeGroup(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closePageSpan(), closeParagraph(), closeSection(), closeSheet(), closeSheetCell(), closeSheetRow(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineChartStyle(), defineEmbeddedFont(), defineGraphicStyle(), definePageStyle(), defineParagraphStyle(), defineSectionStyle(), defineSheetNumberingStyle(), drawConnector(), drawEllipse(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), getBinaryResult(), insertBinaryObject(), insertChartAxis(), insertCoveredTableCell(), insertEquation(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openChart(), openChartPlotArea(), openChartSerie(), openChartTextObject(), openComment(), openFooter(), openFootnote(), openFrame(), openGroup(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openSection(), openSheet(), openSheetCell(), openSheetRow(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), openUnorderedListLevel(), setDocumentMetaData(), and startDocument().

The documentation for this class was generated from the following files:

- MWAWSpreadsheetEncoder.hxx
- MWAWSpreadsheetEncoder.cxx